List self-service workflow triggers
GET/v1/workflows/self-service-triggers
Retrieve all self-service trigger nodes the caller can execute, across every workflow in the organization. Each item carries the trigger node plus minimal owning-workflow metadata. To learn more about workflows, see the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "string"
},
"in": "query",
"name": "blueprintIdentifier",
"required": false,
"description": "Filter triggers by blueprint identifier (used with entityIdentifier for ENTITY context matching)."
},
{
"schema": {
"type": "string"
},
"in": "query",
"name": "entityIdentifier",
"required": false,
"description": "Filter triggers relevant to a specific entity (requires blueprintIdentifier)."
},
{
"schema": {
"type": "boolean"
},
"in": "query",
"name": "includeNonExecutable",
"required": false,
"description": "When true, also return triggers the caller cannot execute."
},
{
"schema": {
"type": "string",
"enum": [
"UI",
"API",
"MCP"
]
},
"in": "query",
"name": "source",
"required": false,
"description": "The invocation source to evaluate trigger permissions against. Defaults to the source derived from the caller token."
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 200
- 403
- 500
Default Response
Default Response
Default Response
Responses (JSON)
{
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"triggers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"uid": {
"description": "Globally unique, node identifier.",
"type": "string"
},
"identifier": {
"type": "string",
"maxLength": 60,
"pattern": "^[\\p{L}0-9@_:-]+$",
"description": "Unique identifier for the node within the workflow."
},
"title": {
"description": "Human-readable title for the node.",
"nullable": true,
"type": "string",
"maxLength": 100
},
"icon": {
"description": "Icon identifier for the node.",
"nullable": true,
"type": "string"
},
"description": {
"description": "Detailed description of the node's purpose.",
"nullable": true,
"type": "string",
"maxLength": 1100
},
"config": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"SELF_SERVE_TRIGGER"
]
},
"userInputs": {
"allOf": [
{
"type": "object",
"properties": {
"properties": {
"type": "object",
"additionalProperties": {
"anyOf": [
{
"oneOf": [
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "date-time"
},
"default": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "Date-time property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "email"
},
"default": {
"anyOf": [
{
"type": "string",
"format": "email",
"pattern": "^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"enum": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string",
"format": "email",
"pattern": "^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
}
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "Email property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "entity"
},
"blueprint": {
"type": "string"
},
"default": {
"anyOf": [
{
"type": "string"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"sort": {
"type": "object",
"properties": {
"property": {
"type": "string"
},
"order": {
"type": "string",
"enum": [
"ASC",
"DESC"
]
}
},
"required": [
"property",
"order"
],
"additionalProperties": false
},
"dataset": {
"type": "object",
"properties": {
"combinator": {
"type": "string",
"enum": [
"and",
"or"
]
},
"rules": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": {}
}
}
},
"required": [
"combinator",
"rules"
],
"additionalProperties": false
}
},
"required": [
"type",
"format",
"blueprint"
],
"additionalProperties": false,
"title": "Entity property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "team"
},
"default": {
"anyOf": [
{
"type": "string"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "Team property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "string"
},
"format": {
"anyOf": [
{
"type": "string",
"const": "none"
},
{
"type": "string",
"const": "multi-line"
}
]
},
"default": {
"anyOf": [
{
"type": "string"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"enum": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"enumColors": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"pattern": {
"anyOf": [
{
"type": "string"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"maxLength": {
"anyOf": [
{
"type": "number",
"exclusiveMinimum": 0
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"minLength": {
"anyOf": [
{
"type": "number",
"exclusiveMinimum": 0
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
}
},
"required": [
"type"
],
"additionalProperties": false,
"title": "String property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "url"
},
"default": {
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "URL property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "markdown"
},
"default": {
"anyOf": [
{
"type": "string"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "Markdown property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "user"
},
"default": {
"anyOf": [
{
"type": "string"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "User property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "yaml"
},
"default": {
"anyOf": [
{
"type": "string"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "YAML property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "proto"
},
"default": {
"anyOf": [
{
"type": "string"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "Proto property"
}
],
"title": "String-type property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "array"
},
"default": {
"anyOf": [
{
"type": "array",
"items": {}
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"enum": {
"type": "array",
"items": {
"type": "array",
"items": {}
}
},
"items": {
"oneOf": [
{
"oneOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "entity"
},
"blueprint": {
"type": "string"
},
"dataset": {
"type": "object",
"properties": {
"combinator": {
"type": "string",
"enum": [
"and",
"or"
]
},
"rules": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": {}
}
}
},
"required": [
"combinator",
"rules"
],
"additionalProperties": false
}
},
"required": [
"type",
"format",
"blueprint"
],
"additionalProperties": false,
"title": "Entity array item"
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "team"
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "Team array item"
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "user"
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "User array item"
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "date-time"
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "Date-time array item"
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "email"
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "Email array item"
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "url"
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "URL array item"
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "yaml"
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "YAML array item"
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "string"
},
"format": {
"type": "string",
"const": "string"
},
"enum": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"enumColors": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"pattern": {
"type": "string"
},
"maxLength": {
"type": "number",
"exclusiveMinimum": 0
},
"minLength": {
"type": "number",
"exclusiveMinimum": 0
}
},
"required": [
"type"
],
"additionalProperties": false,
"title": "String array item"
}
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "number"
},
"enum": {
"anyOf": [
{
"type": "array",
"items": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
}
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"enumColors": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"minimum": {
"type": "number"
},
"maximum": {
"type": "number"
},
"exclusiveMinimum": {
"type": "number"
},
"exclusiveMaximum": {
"type": "number"
}
},
"required": [
"type"
],
"additionalProperties": false,
"title": "Number array item"
},
{
"oneOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "object"
},
"format": {
"type": "string",
"const": "labeled-url"
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "Labeled URL array item"
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "object"
},
"format": {
"type": "string",
"const": "none"
}
},
"required": [
"type"
],
"additionalProperties": false,
"title": "Object array item"
}
]
}
]
},
"dataset": {
"type": "object",
"properties": {
"combinator": {
"type": "string",
"enum": [
"and",
"or"
]
},
"rules": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": {}
}
}
},
"required": [
"combinator",
"rules"
],
"additionalProperties": false
},
"sort": {
"type": "object",
"properties": {
"property": {
"type": "string"
},
"order": {
"type": "string",
"enum": [
"ASC",
"DESC"
]
}
},
"required": [
"property",
"order"
],
"additionalProperties": false
},
"minItems": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"maxItems": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"uniqueItems": {
"type": "boolean"
}
},
"required": [
"type"
],
"additionalProperties": false,
"title": "Array property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "number"
},
"default": {
"anyOf": [
{
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"enum": {
"anyOf": [
{
"type": "array",
"items": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
}
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"minimum": {
"type": "number"
},
"maximum": {
"type": "number"
},
"exclusiveMinimum": {
"type": "number"
},
"exclusiveMaximum": {
"type": "number"
}
},
"required": [
"type"
],
"additionalProperties": false,
"title": "Number property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "object"
},
"format": {
"type": "string",
"const": "none"
},
"default": {
"anyOf": [
{
"type": "object",
"properties": {},
"additionalProperties": {}
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"enum": {
"type": "array",
"items": {
"type": "object",
"properties": {},
"additionalProperties": {}
}
},
"properties": {
"type": "object",
"additionalProperties": {
"anyOf": [
{
"type": "string"
},
{
"type": "number"
},
{
"type": "boolean"
},
{
"type": "null"
},
{
"type": "array",
"items": "circular()"
},
{
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": "circular()"
}
]
},
"title": "objectProperties"
},
"additionalProperties": {
"default": false,
"anyOf": [
{
"type": "boolean"
},
{
"anyOf": [
{
"type": "string"
},
{
"type": "number"
},
{
"type": "boolean"
},
{
"type": "null"
},
{
"type": "array",
"items": "circular()"
},
{
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": "circular()"
}
]
}
],
"title": "objectAdditionalProperties"
},
"patternProperties": {
"type": "object",
"additionalProperties": {
"anyOf": [
{
"type": "string"
},
{
"type": "number"
},
{
"type": "boolean"
},
{
"type": "null"
},
{
"type": "array",
"items": "circular()"
},
{
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": "circular()"
}
]
}
},
"required": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"type",
"additionalProperties"
],
"additionalProperties": false,
"title": "Object property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"type": "boolean"
},
"disabled": {
"type": "boolean"
},
"visible": {
"type": "boolean"
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "object"
},
"format": {
"type": "string",
"const": "multi-line"
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "Object secret property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "object"
},
"format": {
"type": "string",
"const": "labeled-url"
},
"default": {
"anyOf": [
{
"type": "object",
"properties": {
"url": {
"type": "string"
},
"displayText": {
"type": "string"
}
},
"required": [
"url"
],
"additionalProperties": false,
"title": "Labeled URL object"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
}
},
"required": [
"type",
"format"
],
"additionalProperties": false,
"title": "Labeled URL property"
},
{
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"jqQuery": {
"type": "null"
},
"dependsOn": {
"type": "array",
"items": {
"type": "string"
}
},
"readOnly": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"disabled": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"visible": {
"anyOf": [
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"icon": {
"type": "string"
},
"type": {
"type": "string",
"const": "boolean"
},
"default": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
}
},
"required": [
"type"
],
"additionalProperties": false,
"title": "Toggle property"
}
],
"title": "userInputProperty"
}
},
"required": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"order": {
"type": "array",
"items": {
"type": "string"
}
},
"titles": {
"type": "object",
"additionalProperties": {
"type": "object",
"properties": {
"title": {
"type": "string",
"minLength": 1,
"maxLength": 140
},
"description": {
"type": "string",
"maxLength": 1000
},
"visible": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
}
},
"required": [
"title"
],
"additionalProperties": false
}
},
"steps": {
"type": "array",
"items": {
"type": "object",
"properties": {
"title": {
"type": "string",
"maxLength": 25
},
"order": {
"type": "array",
"items": {
"type": "string"
}
},
"visible": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "object",
"properties": {
"jqQuery": {
"type": "string"
}
},
"required": [
"jqQuery"
],
"additionalProperties": false,
"title": "JQ query"
}
]
},
"validations": {
"maxItems": 10,
"type": "array",
"items": {
"type": "object",
"properties": {
"engine": {
"default": "jq",
"type": "string",
"const": "jq"
},
"constraint": {
"type": "string"
},
"message": {
"type": "string",
"maxLength": 100
}
},
"required": [
"engine",
"constraint",
"message"
],
"additionalProperties": false
}
}
},
"required": [
"title",
"order"
],
"additionalProperties": false
}
},
"validations": {
"maxItems": 10,
"type": "array",
"items": {
"type": "object",
"properties": {
"engine": {
"default": "jq",
"type": "string",
"const": "jq"
},
"constraint": {
"type": "string"
},
"message": {
"type": "string",
"maxLength": 100
}
},
"required": [
"engine",
"constraint",
"message"
],
"additionalProperties": false
}
}
},
"required": [
"properties"
],
"additionalProperties": false,
"title": "userInputs"
}
]
},
"actionCardButtonText": {
"type": "string",
"minLength": 1,
"maxLength": 15,
"pattern": "^[^\\s].*[^\\s]$"
},
"executeActionButtonText": {
"type": "string",
"minLength": 1,
"maxLength": 15,
"pattern": "^[^\\s].*[^\\s]$"
},
"published": {
"default": true,
"type": "boolean"
},
"permissions": {
"type": "object",
"properties": {
"users": {
"type": "array",
"items": {
"type": "string"
}
},
"roles": {
"type": "array",
"items": {
"type": "string"
}
},
"teams": {
"type": "array",
"items": {
"type": "string"
}
},
"policy": {
"allOf": [
{
"type": "object",
"properties": {
"combinator": {
"type": "string",
"enum": [
"and",
"or"
],
"description": "Logical operator to combine permission rules (and/or)."
},
"rules": {
"type": "array",
"items": {
"anyOf": [
{
"anyOf": [
{
"type": "object",
"properties": {
"property": {
"type": "object",
"properties": {
"context": {
"type": "string",
"enum": [
"userTeams",
"user",
"form",
"workflowRun"
]
},
"property": {
"type": "string"
}
},
"required": [
"context",
"property"
],
"additionalProperties": false,
"title": "UserTeams, User, Form, or Workflow Run property"
},
"operator": {
"type": "string",
"enum": [
"empty",
"notEmpty"
]
}
},
"required": [
"property",
"operator"
],
"additionalProperties": false,
"title": "Empty or NotEmpty condition"
},
{
"type": "object",
"properties": {
"property": {
"type": "object",
"properties": {
"context": {
"type": "string",
"enum": [
"userTeams",
"user",
"form",
"workflowRun"
]
},
"property": {
"type": "string"
}
},
"required": [
"context",
"property"
],
"additionalProperties": false,
"title": "UserTeams, User, Form, or Workflow Run property"
},
"operator": {
"type": "string",
"enum": [
"=",
"!="
]
},
"value": {
"anyOf": [
{
"type": "object",
"properties": {
"context": {
"type": "string",
"enum": [
"userTeams",
"user",
"form",
"workflowRun"
]
},
"property": {
"type": "string"
}
},
"required": [
"context",
"property"
],
"additionalProperties": false,
"title": "UserTeams, User, Form, or Workflow Run property"
},
{
"anyOf": [
{
"type": "number"
},
{
"type": "string"
},
{
"type": "boolean"
}
],
"title": "Number, String, or Boolean value"
},
{
"anyOf": [
{
"type": "array",
"items": {
"type": "number"
}
},
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "array",
"items": {
"type": "boolean"
}
}
],
"title": "Number, String, or Boolean array"
}
]
}
},
"required": [
"property",
"operator",
"value"
],
"additionalProperties": false,
"title": "Equals condition"
},
{
"type": "object",
"properties": {
"property": {
"type": "object",
"properties": {
"context": {
"type": "string",
"enum": [
"userTeams",
"user",
"form",
"workflowRun"
]
},
"property": {
"type": "string"
}
},
"required": [
"context",
"property"
],
"additionalProperties": false,
"title": "UserTeams, User, Form, or Workflow Run property"
},
"operator": {
"type": "string",
"enum": [
">",
"<",
">=",
"<="
]
},
"value": {
"anyOf": [
{
"type": "object",
"properties": {
"context": {
"type": "string",
"enum": [
"userTeams",
"user",
"form",
"workflowRun"
]
},
"property": {
"type": "string"
}
},
"required": [
"context",
"property"
],
"additionalProperties": false,
"title": "UserTeams, User, Form, or Workflow Run property"
},
{
"anyOf": [
{
"type": "number"
},
{
"type": "string"
},
{
"type": "boolean"
}
],
"title": "Number, String, or Boolean value"
}
]
}
},
"required": [
"property",
"operator",
"value"
],
"additionalProperties": false,
"title": "Comparison condition"
},
{
"type": "object",
"properties": {
"property": {
"type": "object",
"properties": {
"context": {
"type": "string",
"enum": [
"userTeams",
"user",
"form",
"workflowRun"
]
},
"property": {
"type": "string"
}
},
"required": [
"context",
"property"
],
"additionalProperties": false,
"title": "UserTeams, User, Form, or Workflow Run property"
},
"operator": {
"type": "string",
"enum": [
"in",
"notIn"
]
},
"value": {
"anyOf": [
{
"type": "object",
"properties": {
"context": {
"type": "string",
"enum": [
"userTeams",
"user",
"form",
"workflowRun"
]
},
"property": {
"type": "string"
}
},
"required": [
"context",
"property"
],
"additionalProperties": false,
"title": "UserTeams, User, Form, or Workflow Run property"
},
{
"anyOf": [
{
"type": "array",
"items": {
"type": "number"
}
},
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "array",
"items": {
"type": "boolean"
}
}
],
"title": "Number, String, or Boolean array"
}
]
}
},
"required": [
"property",
"operator",
"value"
],
"additionalProperties": false,
"title": "In or NotIn condition"
},
{
"type": "object",
"properties": {
"property": {
"type": "object",
"properties": {
"context": {
"type": "string",
"enum": [
"userTeams",
"user",
"form",
"workflowRun"
]
},
"property": {
"type": "string"
}
},
"required": [
"context",
"property"
],
"additionalProperties": false,
"title": "UserTeams, User, Form, or Workflow Run property"
},
"operator": {
"type": "string",
"enum": [
"contains",
"notContains"
]
},
"value": {
"anyOf": [
{
"type": "object",
"properties": {
"context": {
"type": "string",
"enum": [
"userTeams",
"user",
"form",
"workflowRun"
]
},
"property": {
"type": "string"
}
},
"required": [
"context",
"property"
],
"additionalProperties": false,
"title": "UserTeams, User, Form, or Workflow Run property"
},
{
"anyOf": [
{
"type": "number"
},
{
"type": "string"
},
{
"type": "boolean"
}
],
"title": "Number, String, or Boolean value"
}
]
}
},
"required": [
"property",
"operator",
"value"
],
"additionalProperties": false,
"title": "Contains or NotContains condition"
},
{
"type": "object",
"properties": {
"property": {
"type": "object",
"properties": {
"context": {
"type": "string",
"enum": [
"userTeams",
"user",
"form",
"workflowRun"
]
},
"property": {
"type": "string"
}
},
"required": [
"context",
"property"
],
"additionalProperties": false,
"title": "UserTeams, User, Form, or Workflow Run property"
},
"operator": {
"type": "string",
"enum": [
"containsAny"
]
},
"value": {
"anyOf": [
{
"type": "object",
"properties": {
"context": {
"type": "string",
"enum": [
"userTeams",
"user",
"form",
"workflowRun"
]
},
"property": {
"type": "string"
}
},
"required": [
"context",
"property"
],
"additionalProperties": false,
"title": "UserTeams, User, Form, or Workflow Run property"
},
{
"anyOf": [
{
"type": "array",
"items": {
"type": "number"
}
},
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "array",
"items": {
"type": "boolean"
}
}
],
"title": "Number, String, or Boolean array"
}
]
}
},
"required": [
"property",
"operator",
"value"
],
"additionalProperties": false,
"title": "ContainsAny condition"
}
],
"title": "Options"
},
"circular(workflowPermissionQuery)"
]
},
"description": "List of permission rules to evaluate."
}
},
"required": [
"combinator",
"rules"
],
"additionalProperties": false,
"title": "workflowPermissionQuery"
}
]
}
},
"additionalProperties": false
},
"variant": {
"type": "string",
"enum": [
"DEFAULT",
"ALERT"
]
},
"contexts": {
"type": "array",
"items": {
"oneOf": [
{
"type": "object",
"properties": {
"on": {
"type": "string",
"enum": [
"CREATE_ENTITY"
]
},
"blueprintIdentifier": {
"type": "string",
"minLength": 1
}
},
"required": [
"on",
"blueprintIdentifier"
],
"additionalProperties": false,
"title": "Create-entity trigger context"
},
{
"type": "object",
"properties": {
"on": {
"type": "string",
"enum": [
"ENTITY"
]
},
"userInput": {
"type": "string",
"minLength": 1
}
},
"required": [
"on",
"userInput"
],
"additionalProperties": false,
"title": "Entity trigger context"
},
{
"type": "object",
"properties": {
"on": {
"type": "string",
"enum": [
"SELF_SERVICE_HUB"
]
},
"visible": {
"type": "boolean"
}
},
"required": [
"on",
"visible"
],
"additionalProperties": false,
"title": "Self-Service Hub trigger context"
}
],
"title": "Trigger context"
}
}
},
"required": [
"type"
],
"additionalProperties": false,
"title": "Self-serve trigger config"
},
"variables": {
"default": {},
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"links": {
"description": "Link templates (supports `{{ .result.field }}` interpolation) evaluated at node run completion.",
"default": [],
"maxItems": 3,
"type": "array",
"items": {
"type": "string"
}
},
"testOutputs": {
"description": "Output used instead of running the node in test executions. Omit or set to null to run the node.",
"nullable": true,
"type": "object",
"additionalProperties": {}
},
"verbose": {
"default": false,
"description": "When true, the workflow service writes extended per-node run logs (e.g. webhook request/response details, upsert parameters).",
"type": "boolean"
},
"workflowIdentifier": {
"type": "string",
"maxLength": 60,
"pattern": "^[\\p{L}0-9@_:-]+$",
"description": "Identifier of the workflow that owns this trigger."
},
"workflowTitle": {
"description": "Title of the workflow that owns this trigger.",
"nullable": true,
"type": "string",
"maxLength": 100
},
"workflowIcon": {
"description": "Icon of the workflow that owns this trigger.",
"nullable": true,
"type": "string"
},
"workflowDescription": {
"description": "Description of the workflow that owns this trigger.",
"nullable": true,
"type": "string",
"maxLength": 1100
},
"workflowCategory": {
"description": "Category of the workflow that owns this trigger.",
"nullable": true,
"type": "string",
"maxLength": 40
},
"permitted": {
"description": "Whether the caller can execute this trigger.",
"type": "boolean"
}
},
"required": [
"identifier",
"config",
"variables",
"verbose",
"workflowIdentifier"
],
"additionalProperties": false
}
}
},
"required": [
"ok",
"triggers"
],
"additionalProperties": false
}
}
}
},
"403": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
},
"500": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
}
}
}